Skip to content
PHP Ecosystem
Explore

QueryParamAuth

API reference › yii › filters › auth › QueryParamAuth

QueryParamAuth is an action filter that supports the authentication based on the access token passed through a query parameter.

PropertyTypeDescriptionDefined by
$exceptarrayList of action IDs that this filter should not apply to. Default: [].yii\base\ActionFilter
$onlyarrayList of action IDs that this filter should apply to. Default: [].yii\base\ActionFilter
$optionalarrayList of action IDs that this filter will be applied to, but auth failure will not lead to error. Default: []. Available since 2.0.7.AuthMethod
$owneryii\base\T|nullThe owner of this behavior Default: null.yii\base\Behavior
$requestyii\web\Request|nullThe current request. Default: null.AuthMethod
$responseyii\web\Response|nullThe response to be sent. Default: null.AuthMethod
$tokenParamstringThe parameter name for passing the access token Default: 'access-token'.QueryParamAuth
$useryii\web\User|nullThe user object representing the user authentication status. Default: null.AuthMethod
MethodDescriptionDefined by
__construct()Constructor.yii\base\BaseObject
__call()Calls the named method which is not a class method.yii\base\BaseObject
__get()Returns the value of an object property.yii\base\BaseObject
__isset()Checks if a property is set, i.e. defined and not null.yii\base\BaseObject
__set()Sets value of an object property.yii\base\BaseObject
__unset()Sets an object property to null.yii\base\BaseObject
afterAction()This method is invoked right after an action is executed.yii\base\ActionFilter
afterFilter()yii\base\ActionFilter
attach()Attaches the behavior object to the component.yii\base\ActionFilter
authenticate()Authenticates the current user.QueryParamAuth
beforeAction()This method is invoked right before an action is to be executed (after all possible filters.) You may override this method to do last-minute preparation for the action.AuthMethod
beforeFilter()yii\base\ActionFilter
canGetProperty()Returns a value indicating whether a property can be read.yii\base\BaseObject
canSetProperty()Returns a value indicating whether a property can be set.yii\base\BaseObject
challenge()Generates challenges upon authentication failure.AuthMethod
className() staticReturns the fully qualified name of this class.yii\base\BaseObject
detach()Detaches the behavior object from the component.yii\base\ActionFilter
events()Declares event handlers for the $owner’s events.yii\base\Behavior
handleFailure()Handles authentication failure.AuthMethod
hasMethod()Returns a value indicating whether a method is defined.yii\base\BaseObject
hasProperty()Returns a value indicating whether a property is defined.yii\base\BaseObject
init()Initializes the object.yii\base\BaseObject
getActionId() protectedReturns an action ID by converting Action::$uniqueId into an ID relative to the module.yii\base\ActionFilter
isActive() protectedReturns a value indicating whether the filter is active for the given action.yii\base\ActionFilter
isOptional() protectedChecks, whether authentication is optional for the given action.AuthMethod
public function authenticate(mixed $user, mixed $request, mixed $response): yii\web\IdentityInterface|null

Authenticates the current user.

Parameters

ParameterTypeDescription
$usermixed
$requestmixed
$responsemixed

Returns

yii\web\IdentityInterface|null: The authenticated user identity. If authentication information is not provided, null will be returned.

Throws